DROP TABLE CRST_PO_VENDOR_SITES_ALL;

CREATE TABLE CRST_PO_VENDOR_SITES_ALL
(
  VENDOR_SITE_ID                 NUMBER         NOT NULL,
  LAST_UPDATE_DATE               DATE           NOT NULL,
  LAST_UPDATED_BY                NUMBER         NOT NULL,
  VENDOR_ID                      NUMBER         NOT NULL,
  VENDOR_SITE_CODE               VARCHAR2(15 BYTE) NOT NULL,
  VENDOR_SITE_CODE_ALT           VARCHAR2(320 BYTE),
  LAST_UPDATE_LOGIN              NUMBER,
  CREATION_DATE                  DATE,
  CREATED_BY                     NUMBER,
  PURCHASING_SITE_FLAG           VARCHAR2(1 BYTE),
  RFQ_ONLY_SITE_FLAG             VARCHAR2(1 BYTE),
  PAY_SITE_FLAG                  VARCHAR2(1 BYTE),
  ATTENTION_AR_FLAG              VARCHAR2(1 BYTE),
  ADDRESS_LINE1                  VARCHAR2(240 BYTE),
  ADDRESS_LINES_ALT              VARCHAR2(560 BYTE),
  ADDRESS_LINE2                  VARCHAR2(240 BYTE),
  ADDRESS_LINE3                  VARCHAR2(240 BYTE),
  CITY                           VARCHAR2(25 BYTE),
  STATE                          VARCHAR2(150 BYTE),
  ZIP                            VARCHAR2(20 BYTE),
  PROVINCE                       VARCHAR2(150 BYTE),
  COUNTRY                        VARCHAR2(25 BYTE),
  AREA_CODE                      VARCHAR2(10 BYTE),
  PHONE                          VARCHAR2(15 BYTE),
  CUSTOMER_NUM                   VARCHAR2(25 BYTE),
  SHIP_TO_LOCATION_ID            NUMBER,
  BILL_TO_LOCATION_ID            NUMBER,
  SHIP_VIA_LOOKUP_CODE           VARCHAR2(25 BYTE),
  FREIGHT_TERMS_LOOKUP_CODE      VARCHAR2(25 BYTE),
  FOB_LOOKUP_CODE                VARCHAR2(25 BYTE),
  INACTIVE_DATE                  DATE,
  FAX                            VARCHAR2(15 BYTE),
  FAX_AREA_CODE                  VARCHAR2(10 BYTE),
  TELEX                          VARCHAR2(15 BYTE),
  PAYMENT_METHOD_LOOKUP_CODE     VARCHAR2(25 BYTE),
  BANK_ACCOUNT_NAME              VARCHAR2(80 BYTE),
  BANK_ACCOUNT_NUM               VARCHAR2(30 BYTE),
  BANK_NUM                       VARCHAR2(25 BYTE),
  BANK_ACCOUNT_TYPE              VARCHAR2(25 BYTE),
  TERMS_DATE_BASIS               VARCHAR2(25 BYTE),
  CURRENT_CATALOG_NUM            VARCHAR2(20 BYTE),
  VAT_CODE                       VARCHAR2(20 BYTE),
  DISTRIBUTION_SET_ID            NUMBER,
  ACCTS_PAY_CODE_COMBINATION_ID  NUMBER,
  PREPAY_CODE_COMBINATION_ID     NUMBER,
  PAY_GROUP_LOOKUP_CODE          VARCHAR2(25 BYTE),
  PAYMENT_PRIORITY               NUMBER,
  TERMS_ID                       NUMBER,
  INVOICE_AMOUNT_LIMIT           NUMBER,
  PAY_DATE_BASIS_LOOKUP_CODE     VARCHAR2(25 BYTE),
  ALWAYS_TAKE_DISC_FLAG          VARCHAR2(1 BYTE),
  INVOICE_CURRENCY_CODE          VARCHAR2(15 BYTE),
  PAYMENT_CURRENCY_CODE          VARCHAR2(15 BYTE),
  HOLD_ALL_PAYMENTS_FLAG         VARCHAR2(1 BYTE),
  HOLD_FUTURE_PAYMENTS_FLAG      VARCHAR2(1 BYTE),
  HOLD_REASON                    VARCHAR2(240 BYTE),
  HOLD_UNMATCHED_INVOICES_FLAG   VARCHAR2(1 BYTE),
  AP_TAX_ROUNDING_RULE           VARCHAR2(1 BYTE),
  AUTO_TAX_CALC_FLAG             VARCHAR2(1 BYTE),
  AUTO_TAX_CALC_OVERRIDE         VARCHAR2(1 BYTE),
  AMOUNT_INCLUDES_TAX_FLAG       VARCHAR2(1 BYTE),
  EXCLUSIVE_PAYMENT_FLAG         VARCHAR2(1 BYTE),
  TAX_REPORTING_SITE_FLAG        VARCHAR2(1 BYTE),
  ATTRIBUTE_CATEGORY             VARCHAR2(30 BYTE),
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  REQUEST_ID                     NUMBER,
  PROGRAM_APPLICATION_ID         NUMBER,
  PROGRAM_ID                     NUMBER,
  PROGRAM_UPDATE_DATE            DATE,
  VALIDATION_NUMBER              NUMBER,
  EXCLUDE_FREIGHT_FROM_DISCOUNT  VARCHAR2(1 BYTE),
  VAT_REGISTRATION_NUM           VARCHAR2(20 BYTE),
  OFFSET_VAT_CODE                VARCHAR2(20 BYTE),
  ORG_ID                         NUMBER,
  CHECK_DIGITS                   VARCHAR2(30 BYTE),
  BANK_NUMBER                    VARCHAR2(30 BYTE),
  ADDRESS_LINE4                  VARCHAR2(240 BYTE),
  COUNTY                         VARCHAR2(150 BYTE),
  ADDRESS_STYLE                  VARCHAR2(30 BYTE),
  LANGUAGE                       VARCHAR2(30 BYTE),
  ALLOW_AWT_FLAG                 VARCHAR2(1 BYTE),
  AWT_GROUP_ID                   NUMBER(15),
  GLOBAL_ATTRIBUTE1              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  EDI_TRANSACTION_HANDLING       VARCHAR2(25 BYTE),
  EDI_ID_NUMBER                  VARCHAR2(30 BYTE),
  EDI_PAYMENT_METHOD             VARCHAR2(25 BYTE),
  EDI_PAYMENT_FORMAT             VARCHAR2(25 BYTE),
  EDI_REMITTANCE_METHOD          VARCHAR2(25 BYTE),
  BANK_CHARGE_BEARER             VARCHAR2(1 BYTE),
  EDI_REMITTANCE_INSTRUCTION     VARCHAR2(256 BYTE),
  BANK_BRANCH_TYPE               VARCHAR2(25 BYTE),
  PAY_ON_CODE                    VARCHAR2(25 BYTE),
  DEFAULT_PAY_SITE_ID            NUMBER(15),
  PAY_ON_RECEIPT_SUMMARY_CODE    VARCHAR2(25 BYTE),
  TP_HEADER_ID                   NUMBER,
  ECE_TP_LOCATION_CODE           VARCHAR2(60 BYTE),
  PCARD_SITE_FLAG                VARCHAR2(1 BYTE),
  MATCH_OPTION                   VARCHAR2(25 BYTE),
  COUNTRY_OF_ORIGIN_CODE         VARCHAR2(2 BYTE),
  FUTURE_DATED_PAYMENT_CCID      NUMBER(15),
  CREATE_DEBIT_MEMO_FLAG         VARCHAR2(25 BYTE),
  OFFSET_TAX_FLAG                VARCHAR2(1 BYTE),
  SUPPLIER_NOTIF_METHOD          VARCHAR2(25 BYTE),
  EMAIL_ADDRESS                  VARCHAR2(2000 BYTE),
  REMITTANCE_EMAIL               VARCHAR2(2000 BYTE),
  PRIMARY_PAY_SITE_FLAG          VARCHAR2(1 BYTE),
  VENDOR_SITE_ID_N               NUMBER
);
